//+------------------------------------------------------------------+
//|                                                    CommonLib.mq4 |
//|                            Copyright  2007, Alexander Enchevich |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, Alexander Enchevich"

#import "CommonLib.ex4"

//+------------------------------------------------------------------+
// Returns -1 for negative, 1 for positive, 0 for 0.0
int Sign(double fVal);
//+------------------------------------------------------------------+
// Tells whether a double falls within a specified narrow range close
// to 0 (see the mql file for exact value).
bool IsZero(double fVal);
//+------------------------------------------------------------------+
// true if an 8-digit precision comparison of the 2 numbers yields equality
bool DoublesEq(double number1,double number2);

//+------------------------------------------------------------------+
string ArrDToStr(double arr[], int precision);
//+------------------------------------------------------------------+
string WeekDayToStr(int iWeekDay);
//+------------------------------------------------------------------+
string PeriodToStr();
//+------------------------------------------------------------------+
string PriceMethodToStr( int iPrice );
//+------------------------------------------------------------------+
string OperationToStr( int iOperation );
//+------------------------------------------------------------------+

